package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 首页导航栏

 * </p>
 *
 * @author liquidnet
 * @since 2021-12-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GoblinFrontNavigationVoo implements Serializable {
    @ApiModelProperty( value = "展示形式：1、一行2、二行")
    private Integer displayType;
    @ApiModelProperty( value = "金刚位")
    private List<GoblinFrontNavigationVo> list;
    private static final GoblinFrontNavigationVoo obj = new GoblinFrontNavigationVoo();

    public static GoblinFrontNavigationVoo getNew() {
        try {
            return (GoblinFrontNavigationVoo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinFrontNavigationVoo();
        }
    }
}
